summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Sidwell <nathan@codesourcery.com>2006-07-26 18:46:22 +0000
committerNathan Sidwell <nathan@codesourcery.com>2006-07-26 18:46:22 +0000
commit607c147c640d161d4901e5fac624f5c0f8e5b877 (patch)
tree8fcad13b0c52f0d55d8cfdb72211ec0b7212d7f0
parent31f5bde89e0f6bd45cf1628eab47d6143aa6cb2f (diff)
downloadgdb-607c147c640d161d4901e5fac624f5c0f8e5b877.tar.gz
bfd/
* Makefile.am: (VERSUFFIX_s): New. Pass it to compiler via -D. * Makefile.in: Regenerated. * configure: Regenerated. * configure.in: Add --with-versuffix option. * version.h: Add BFD_VERSION_SUFFIX, use it in BFD_VERSION_STRING. binutils/ * Makefile.am: (REPORT_BUGS_TO_s): New. Pass it to compiler via -D. * Makefile.in: Regenerated. * configure: Regenerated. * configure.in: Add --with-bugurl option. gas/ * Makefile.am: (REPORT_BUGS_TO_s): New. Pass it to compiler via -D. * Makefile.in: Regenerated. * configure: Regenerated. * configure.in: Add --with-bugurl option. gprof/ * Makefile.am: (VERSUFFIX_s, REPORT_BUGS_TO_s): New. Pass them to compiler via -D. * Makefile.in: Regenerated. * configure: Regenerated. * configure.in: Add --with-versuffix and --with-bugurl option. * gprof.c: Print version suffix. ld/ * Makefile.am: (REPORT_BUGS_TO_s): New. Pass it to compiler via -D. * Makefile.in: Regenerated. * configure: Regenerated. * configure.in: Add --with-bugurl option.
-rw-r--r--ChangeLog.csl42
-rw-r--r--bfd/Makefile.am5
-rw-r--r--bfd/Makefile.in5
-rwxr-xr-xbfd/configure45
-rw-r--r--bfd/configure.in14
-rw-r--r--bfd/doc/Makefile.in1
-rw-r--r--bfd/version.h3
7 files changed, 109 insertions, 6 deletions
diff --git a/ChangeLog.csl b/ChangeLog.csl
index 60c171dd321..e4f83ff9186 100644
--- a/ChangeLog.csl
+++ b/ChangeLog.csl
@@ -1,7 +1,47 @@
+2006-07-26 Vladimir Prus <vladimir@codesourcery.com>
+
+ bfd/
+ * Makefile.am: (VERSUFFIX_s): New. Pass it to compiler
+ via -D.
+ * Makefile.in: Regenerated.
+ * configure: Regenerated.
+ * configure.in: Add --with-versuffix option.
+ * version.h: Add BFD_VERSION_SUFFIX, use it
+ in BFD_VERSION_STRING.
+
+ binutils/
+ * Makefile.am: (REPORT_BUGS_TO_s): New. Pass it to compiler
+ via -D.
+ * Makefile.in: Regenerated.
+ * configure: Regenerated.
+ * configure.in: Add --with-bugurl option.
+
+ gas/
+ * Makefile.am: (REPORT_BUGS_TO_s): New. Pass it to compiler
+ via -D.
+ * Makefile.in: Regenerated.
+ * configure: Regenerated.
+ * configure.in: Add --with-bugurl option.
+
+ gprof/
+ * Makefile.am: (VERSUFFIX_s, REPORT_BUGS_TO_s): New. Pass
+ them to compiler via -D.
+ * Makefile.in: Regenerated.
+ * configure: Regenerated.
+ * configure.in: Add --with-versuffix and --with-bugurl option.
+ * gprof.c: Print version suffix.
+
+ ld/
+ * Makefile.am: (REPORT_BUGS_TO_s): New. Pass it to compiler
+ via -D.
+ * Makefile.in: Regenerated.
+ * configure: Regenerated.
+ * configure.in: Add --with-bugurl option.
+
2006-07-26 Richard Sandiford <richard@codesourcery.com>
opcodes/
- * m68k-opc.c (m68k_opcodes): Fix operand specificer in the Coldfire
+ * m68k-opc.c (m68k_opcodes): Fix operand specifier in the Coldfire
"fdaddl" entry.
gas/testsuite/
diff --git a/bfd/Makefile.am b/bfd/Makefile.am
index fa9b865f698..e4538ed5744 100644
--- a/bfd/Makefile.am
+++ b/bfd/Makefile.am
@@ -25,6 +25,8 @@ WARN_CFLAGS = @WARN_CFLAGS@
NO_WERROR = @NO_WERROR@
AM_CFLAGS = $(WARN_CFLAGS)
+VERSUFFIX_s := "\"@VERSUFFIX@\""
+
# bfd.h goes here, for now
BFD_H = bfd.h
@@ -935,11 +937,12 @@ bfdver.h: $(srcdir)/version.h $(srcdir)/Makefile.in
@echo "creating $@"
@bfd_version=`echo "$(VERSION)" | sed -e 's/\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\).*/\1.00\2.00\3.00\4.00\5/' -e 's/\([^\.]*\)\..*\(..\)\..*\(..\)\..*\(..\)\..*\(..\)$$/\1\2\3\4\5/'` ;\
bfd_version_string="\"$(VERSION)\"" ;\
+ bfd_version_suffix=$(VERSUFFIX_s) ;\
if test "x$(RELEASE)" = x ; then \
bfd_version_date=`sed -n -e 's/.*DATE //p' < $(srcdir)/version.h` ;\
bfd_version_string="\"$(VERSION) $${bfd_version_date}\"" ;\
fi ;\
- sed -e "s/@bfd_version@/$$bfd_version/" -e "s/@bfd_version_string@/$$bfd_version_string/" < $(srcdir)/version.h > $@
+ sed -e "s/@bfd_version@/$$bfd_version/" -e "s/@bfd_version_string@/$$bfd_version_string/" -e "s/@bfd_version_suffix@/$$bfd_version_suffix/" < $(srcdir)/version.h > $@
# What appears below is generated by a hacked mkdep using gcc -MM.
diff --git a/bfd/Makefile.in b/bfd/Makefile.in
index 1125cd1613c..fdd766daf72 100644
--- a/bfd/Makefile.in
+++ b/bfd/Makefile.in
@@ -186,6 +186,7 @@ TDEFINES = @TDEFINES@
USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
+VERSUFFIX = @VERSUFFIX@
WARN_CFLAGS = @WARN_CFLAGS@
WIN32LDFLAGS = @WIN32LDFLAGS@
WIN32LIBADD = @WIN32LIBADD@
@@ -261,6 +262,7 @@ SUBDIRS = doc po
bfddocdir = doc
bfdlib_LTLIBRARIES = libbfd.la
AM_CFLAGS = $(WARN_CFLAGS)
+VERSUFFIX_s := "\"@VERSUFFIX@\""
# bfd.h goes here, for now
BFD_H = bfd.h
@@ -1501,11 +1503,12 @@ bfdver.h: $(srcdir)/version.h $(srcdir)/Makefile.in
@echo "creating $@"
@bfd_version=`echo "$(VERSION)" | sed -e 's/\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\).*/\1.00\2.00\3.00\4.00\5/' -e 's/\([^\.]*\)\..*\(..\)\..*\(..\)\..*\(..\)\..*\(..\)$$/\1\2\3\4\5/'` ;\
bfd_version_string="\"$(VERSION)\"" ;\
+ bfd_version_suffix=$(VERSUFFIX_s) ;\
if test "x$(RELEASE)" = x ; then \
bfd_version_date=`sed -n -e 's/.*DATE //p' < $(srcdir)/version.h` ;\
bfd_version_string="\"$(VERSION) $${bfd_version_date}\"" ;\
fi ;\
- sed -e "s/@bfd_version@/$$bfd_version/" -e "s/@bfd_version_string@/$$bfd_version_string/" < $(srcdir)/version.h > $@
+ sed -e "s/@bfd_version@/$$bfd_version/" -e "s/@bfd_version_string@/$$bfd_version_string/" -e "s/@bfd_version_suffix@/$$bfd_version_suffix/" < $(srcdir)/version.h > $@
# What appears below is generated by a hacked mkdep using gcc -MM.
diff --git a/bfd/configure b/bfd/configure
index 8b8fe906195..92083027822 100755
--- a/bfd/configure
+++ b/bfd/configure
@@ -309,7 +309,7 @@ ac_includes_default="\
# include <unistd.h>
#endif"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE AR ac_ct_AR RANLIB ac_ct_RANLIB LN_S LIBTOOL WARN_CFLAGS NO_WERROR MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT INSTALL_LIBBFD_TRUE INSTALL_LIBBFD_FALSE host_noncanonical target_noncanonical bfdlibdir bfdincludedir CPP EGREP ALLOCA USE_NLS MSGFMT GMSGFMT XGETTEXT USE_INCLUDED_LIBINTL CATALOGS CATOBJEXT DATADIRNAME GMOFILES INSTOBJEXT INTLDEPS INTLLIBS INTLOBJS POFILES POSUB INCLUDE_LOCALE_H GT_NO GT_YES MKINSTALLDIRS l HDEFINES BFD_HOST_64BIT_LONG BFD_HOST_LONG_LONG BFD_HOST_64_BIT_DEFINED BFD_HOST_64_BIT BFD_HOST_U_64_BIT CC_FOR_BUILD EXEEXT_FOR_BUILD COREFILE COREFLAG WIN32LDFLAGS WIN32LIBADD TDEFINES wordsize bfd_libs all_backends bfd_backends bfd_machines bfd_default_target_size bfd_file_ptr bfd_ufile_ptr tdefaults datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE AR ac_ct_AR RANLIB ac_ct_RANLIB LN_S LIBTOOL VERSUFFIX REPORT_BUGS_TO WARN_CFLAGS NO_WERROR MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT INSTALL_LIBBFD_TRUE INSTALL_LIBBFD_FALSE host_noncanonical target_noncanonical bfdlibdir bfdincludedir CPP EGREP ALLOCA USE_NLS MSGFMT GMSGFMT XGETTEXT USE_INCLUDED_LIBINTL CATALOGS CATOBJEXT DATADIRNAME GMOFILES INSTOBJEXT INTLDEPS INTLLIBS INTLOBJS POFILES POSUB INCLUDE_LOCALE_H GT_NO GT_YES MKINSTALLDIRS l HDEFINES BFD_HOST_64BIT_LONG BFD_HOST_LONG_LONG BFD_HOST_64_BIT_DEFINED BFD_HOST_64_BIT BFD_HOST_U_64_BIT CC_FOR_BUILD EXEEXT_FOR_BUILD COREFILE COREFLAG WIN32LDFLAGS WIN32LIBADD TDEFINES wordsize bfd_libs all_backends bfd_backends bfd_machines bfd_default_target_size bfd_file_ptr bfd_ufile_ptr tdefaults datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@@ -873,6 +873,8 @@ Optional Packages:
--with-gnu-ld assume the C compiler uses GNU ld default=no
--with-pic try to use only PIC/non-PIC objects default=use both
--with-mmap try using mmap for BFD input files if available
+ --with-versuffix=SFX Append SFX to the version string
+ --with-bugurl=URL Direct users to URL to report a bug
--with-included-gettext use the GNU gettext library included here
Some influential environment variables:
@@ -4032,7 +4034,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
case $host in
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4035 "configure"' > conftest.$ac_ext
+ echo '#line 4037 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -4386,6 +4388,43 @@ _ACEOF
fi
+# The trailing component of the string reported as the version number
+# by gdb. For an official FSF release, it is empty.
+
+# Check whether --with-versuffix or --without-versuffix was given.
+if test "${with_versuffix+set}" = set; then
+ withval="$with_versuffix"
+ case "$withval" in
+ yes) { { echo "$as_me:$LINENO: error: version suffix not specified" >&5
+echo "$as_me: error: version suffix not specified" >&2;}
+ { (exit 1); exit 1; }; } ;;
+ no) VERSUFFIX=" (CodeSourcery Unofficial)" ;;
+ *) VERSUFFIX=" ($withval)" ;;
+ esac
+else
+ VERSUFFIX=
+
+fi;
+
+
+# The location to which bugs should be reported.
+
+# Check whether --with-bugurl or --without-bugurl was given.
+if test "${with_bugurl+set}" = set; then
+ withval="$with_bugurl"
+ case "$withval" in
+ yes) { { echo "$as_me:$LINENO: error: bug URL not specified" >&5
+echo "$as_me: error: bug URL not specified" >&2;}
+ { (exit 1); exit 1; }; } ;;
+ no) REPORT_BUGS_TO="" ;;
+ *) REPORT_BUGS_TO="<URL:$withval>" ;;
+ esac
+else
+ REPORT_BUGS_TO=""
+
+fi;
+
+
GCC_WARN_CFLAGS="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
@@ -15237,6 +15276,8 @@ s,@RANLIB@,$RANLIB,;t t
s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
s,@LN_S@,$LN_S,;t t
s,@LIBTOOL@,$LIBTOOL,;t t
+s,@VERSUFFIX@,$VERSUFFIX,;t t
+s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
s,@WARN_CFLAGS@,$WARN_CFLAGS,;t t
s,@NO_WERROR@,$NO_WERROR,;t t
s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
diff --git a/bfd/configure.in b/bfd/configure.in
index 683becbd3b5..cd87c26dab2 100644
--- a/bfd/configure.in
+++ b/bfd/configure.in
@@ -63,6 +63,20 @@ if test $use_secureplt = true; then
[Define if we should default to creating read-only plt entries])
fi
+# The trailing component of the string reported as the version number
+# by gdb. For an official FSF release, it is empty.
+AC_ARG_WITH(versuffix,
+ AS_HELP_STRING([--with-versuffix=SFX],
+ [Append SFX to the version string]),
+ [case "$withval" in
+ yes) AC_MSG_ERROR([version suffix not specified]) ;;
+ no) VERSUFFIX=" (CodeSourcery Unofficial)" ;;
+ *) VERSUFFIX=" ($withval)" ;;
+ esac],
+ VERSUFFIX=
+)
+AC_SUBST(VERSUFFIX)
+
AM_BINUTILS_WARNINGS
AM_CONFIG_HEADER(config.h:config.in)
diff --git a/bfd/doc/Makefile.in b/bfd/doc/Makefile.in
index ad81061ec7b..0a2ffd789fa 100644
--- a/bfd/doc/Makefile.in
+++ b/bfd/doc/Makefile.in
@@ -150,6 +150,7 @@ TDEFINES = @TDEFINES@
USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
+VERSUFFIX = @VERSUFFIX@
WARN_CFLAGS = @WARN_CFLAGS@
WIN32LDFLAGS = @WIN32LDFLAGS@
WIN32LIBADD = @WIN32LIBADD@
diff --git a/bfd/version.h b/bfd/version.h
index 520bd33ca6b..0ab4127a0a5 100644
--- a/bfd/version.h
+++ b/bfd/version.h
@@ -1,3 +1,4 @@
#define BFD_VERSION_DATE 20060320
#define BFD_VERSION @bfd_version@
-#define BFD_VERSION_STRING @bfd_version_string@
+#define BFD_VERSION_SUFFIX @bfd_version_suffix@
+#define BFD_VERSION_STRING @bfd_version_string@ BFD_VERSION_SUFFIX